Debian Bug report logs - #675414
pyopenssl: please seperate build-arch and build-indep

version graph

Package: src:pyopenssl; Maintainer for src:pyopenssl is Sandro Tosi <morph@debian.org>;

Reported by: peter green <peter.green@postgrad.manchester.ac.uk>

Date: Thu, 31 May 2012 23:51:02 UTC

Severity: wishlist

Tags: patch

Fixed in version pyopenssl/0.13-3

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#675414; Package src:pyopenssl. (Thu, 31 May 2012 23:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <peter.green@postgrad.manchester.ac.uk>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 31 May 2012 23:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <peter.green@postgrad.manchester.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pyopenssl: please seperate build-arch and build-indep
Date: Fri, 01 Jun 2012 00:47:56 +0100
[Message part 1 (text/plain, inline)]
Source: pyopenssl
Severity: wishlist
Tags: patch

I attatch a patch which seperates build-arch and build-indep. This 
avoids wastefully rebuilding the documentation on every autobuilder only 
to throw the results of doing so away.

[pyopenssl.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Wed, 29 Aug 2012 20:36:04 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Wed, 29 Aug 2012 21:06:03 GMT) Full text and rfc822 format available.

Notification sent to peter green <peter.green@postgrad.manchester.ac.uk>:
Bug acknowledged by developer. (Wed, 29 Aug 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #12 received at 675414-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 675414-close@bugs.debian.org
Subject: Bug#675414: fixed in pyopenssl 0.13-3
Date: Wed, 29 Aug 2012 21:03:36 +0000
Source: pyopenssl
Source-Version: 0.13-3

We believe that the bug you reported is fixed in the latest version of
pyopenssl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675414@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated pyopenssl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Aug 2012 22:45:02 +0200
Source: pyopenssl
Binary: python-openssl python-openssl-doc python-openssl-dbg python3-openssl python3-openssl-dbg
Architecture: source amd64 all
Version: 0.13-3
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-openssl - Python 2 wrapper around the OpenSSL library
 python-openssl-dbg - Python 2 wrapper around the OpenSSL library (debug extension)
 python-openssl-doc - Python wrapper around the OpenSSL library (documentation package)
 python3-openssl - Python 3 wrapper around the OpenSSL library
 python3-openssl-dbg - Python 3 wrapper around the OpenSSL library (debug extension)
Closes: 675414
Changes: 
 pyopenssl (0.13-3) experimental; urgency=low
 .
   * debian/{control, rules}
     - migrate to dh sequences, implicitly Closes: #675414
Checksums-Sha1: 
 af6344502f9e2281fc3723123e56bfce1c9847f0 1778 pyopenssl_0.13-3.dsc
 adc55f7a29db0ab6ef8ecc550886b72744cb1ebb 9602 pyopenssl_0.13-3.debian.tar.gz
 39ae74c1800e4c88bd9fc3b01cc502314640e107 172260 python-openssl_0.13-3_amd64.deb
 78fb55146069b4dda432d90cdf2299cd6c87c61e 142462 python-openssl-doc_0.13-3_all.deb
 7e5aec8b0cd0e7d2dde6209c6d14910cc552bb2a 774512 python-openssl-dbg_0.13-3_amd64.deb
 c022f8c758dc90b3361ef4e4c671a08a281494cd 113342 python3-openssl_0.13-3_amd64.deb
 0987a53799508064160fb19988229d8f53de5772 394140 python3-openssl-dbg_0.13-3_amd64.deb
Checksums-Sha256: 
 5d0fc2837bac017a9755cd630891d7ca3ca979a67749341403124e0e95ed1b4e 1778 pyopenssl_0.13-3.dsc
 1eb874142f868aadf08f0f2d9ebb70f174b8333bd05ff4b0436e7abb0022d6fe 9602 pyopenssl_0.13-3.debian.tar.gz
 0191b9f55c5d0c7ddb5261b05879f338bf6468fcb7456235ac055fb483094838 172260 python-openssl_0.13-3_amd64.deb
 ec7454939e778cfc7506f9a2caafa9ce7379d2d9c6835c5c0c38e217c84502af 142462 python-openssl-doc_0.13-3_all.deb
 c5e1fd1fa2ebc7eaa86c755c3302e2fcaaa54e3b8ec516247b9db39f3192a4b6 774512 python-openssl-dbg_0.13-3_amd64.deb
 0f69d87a713dc8a32965bbc690b61a3e0cd22e3cdef36cfcb8c01236abad68ac 113342 python3-openssl_0.13-3_amd64.deb
 267c1b45080f3a5cf02c916bea4a5a432d3035ea06e4b266bc2bc9d7c7c80938 394140 python3-openssl-dbg_0.13-3_amd64.deb
Files: 
 65020aa9a2731905cba502955549ed14 1778 python optional pyopenssl_0.13-3.dsc
 27c17ea453bb6d4109c6179617e4c474 9602 python optional pyopenssl_0.13-3.debian.tar.gz
 513f53b46d4e93f85ae2f4363ca6a632 172260 python optional python-openssl_0.13-3_amd64.deb
 9a8f80a11f443f06252baf0d8cd4e4a6 142462 doc optional python-openssl-doc_0.13-3_all.deb
 fafba97bcac06322672cc407dd11fb9a 774512 debug extra python-openssl-dbg_0.13-3_amd64.deb
 b7ed7285577813c6c094d5ebc60e948d 113342 python optional python3-openssl_0.13-3_amd64.deb
 c65f2f6e0cacfb147ecc9014b732f40b 394140 debug extra python3-openssl-dbg_0.13-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlA+gSMACgkQAukwV0RN2VD/2wCfT24I7Ie89Umzff0yLbXxSHUC
sGAAoJl5Cg1U+F+JCE6/6mD6iy1xtkZU
=2wKQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Oct 2013 07:27:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:33:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.